Index: trunk/source/processes/hadronic/cross_sections/include/G4BGGNucleonElasticXS.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4BGGNucleonElasticXS.hh	(revision 1201)
+++ trunk/source/processes/hadronic/cross_sections/include/G4BGGNucleonElasticXS.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4BGGNucleonElasticXS.hh,v 1.5 2009/11/19 11:41:30 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/cross_sections/include/G4BGGNucleonInelasticXS.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4BGGNucleonInelasticXS.hh	(revision 1201)
+++ trunk/source/processes/hadronic/cross_sections/include/G4BGGNucleonInelasticXS.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4BGGNucleonInelasticXS.hh,v 1.6 2009/11/19 11:44:46 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/cross_sections/include/G4BGGPionElasticXS.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4BGGPionElasticXS.hh	(revision 1201)
+++ trunk/source/processes/hadronic/cross_sections/include/G4BGGPionElasticXS.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4BGGPionElasticXS.hh,v 1.5 2009/11/19 11:46:13 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/cross_sections/include/G4BGGPionInelasticXS.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4BGGPionInelasticXS.hh	(revision 1201)
+++ trunk/source/processes/hadronic/cross_sections/include/G4BGGPionInelasticXS.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4BGGPionInelasticXS.hh,v 1.5 2009/11/19 11:47:19 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/cross_sections/include/G4CrossSectionDataSetRegistry.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4CrossSectionDataSetRegistry.hh	(revision 1201)
+++ trunk/source/processes/hadronic/cross_sections/include/G4CrossSectionDataSetRegistry.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4CrossSectionDataSetRegistry.hh,v 1.3 2009/08/08 16:21:31 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/cross_sections/include/G4CrossSectionDataStore.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4CrossSectionDataStore.hh	(revision 1201)
+++ trunk/source/processes/hadronic/cross_sections/include/G4CrossSectionDataStore.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4CrossSectionDataStore.hh,v 1.14 2009/01/24 11:54:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/cross_sections/include/G4ElectroNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4ElectroNuclearCrossSection.hh	(revision 1201)
+++ trunk/source/processes/hadronic/cross_sections/include/G4ElectroNuclearCrossSection.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/cross_sections/include/G4GGNuclNuclCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4GGNuclNuclCrossSection.hh	(revision 1201)
+++ trunk/source/processes/hadronic/cross_sections/include/G4GGNuclNuclCrossSection.hh	(revision 1228)
@@ -92,20 +92,8 @@
   G4double GetHadronNucleonXscPDG(const G4DynamicParticle*, G4double At, G4double Zt);
 
-
-
-
   // G4double GetHadronNucleonXscNS(const G4DynamicParticle*, const G4Element*);
   // G4double GetHadronNucleonXscNS(const G4DynamicParticle*,G4double At, G4double Zt);
 
-
-
-
   G4double GetHadronNucleonXscNS(G4ParticleDefinition*,G4double pTkin, G4ParticleDefinition*);
-
-
-
-
-
-
 
   // G4double GetHNinelasticXsc(const G4DynamicParticle*, const G4Element*);
@@ -113,7 +101,4 @@
 
   G4double GetHNinelasticXscVU(const G4DynamicParticle*, G4double At, G4double Zt);
-
-  G4double GetHadronNucleonXscMK(G4ParticleDefinition* pParticle, G4double pTkin, 
-				 G4ParticleDefinition* nucleon  ); 
 
   G4double CalculateEcmValue ( const G4double , const G4double , const G4double ); 
Index: trunk/source/processes/hadronic/cross_sections/include/G4GlauberGribovCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4GlauberGribovCrossSection.hh	(revision 1201)
+++ trunk/source/processes/hadronic/cross_sections/include/G4GlauberGribovCrossSection.hh	(revision 1228)
@@ -98,6 +98,4 @@
   G4double GetHNinelasticXsc(const G4DynamicParticle*, G4double At, G4double Zt);
   G4double GetHNinelasticXscVU(const G4DynamicParticle*, G4double At, G4double Zt);
-  G4double GetHadronNucleonXscMK(const G4DynamicParticle* aParticle, 
-				 const G4ParticleDefinition* nucleon  ); 
 
   G4double CalculateEcmValue ( const G4double , const G4double , const G4double ); 
Index: trunk/source/processes/hadronic/cross_sections/include/G4HadronCrossSections.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4HadronCrossSections.hh	(revision 1201)
+++ trunk/source/processes/hadronic/cross_sections/include/G4HadronCrossSections.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/cross_sections/include/G4HadronNucleonXsc.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4HadronNucleonXsc.hh	(revision 1201)
+++ trunk/source/processes/hadronic/cross_sections/include/G4HadronNucleonXsc.hh	(revision 1228)
@@ -61,7 +61,4 @@
   G4bool IsZAApplicable(const G4DynamicParticle* aDP, G4double Z, G4double A);
 
-
-
-
   virtual
   void DumpPhysicsTable(const G4ParticleDefinition&) 
@@ -77,6 +74,4 @@
 
   G4double GetHadronNucleonXscVU(const G4DynamicParticle*, const G4ParticleDefinition*);
-
-  G4double GetHadronNucleonXscMK(const G4DynamicParticle*, const G4ParticleDefinition*);
 
   // kinematics and set/get
Index: trunk/source/processes/hadronic/cross_sections/include/G4NeutronCaptureXS.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4NeutronCaptureXS.hh	(revision 1201)
+++ trunk/source/processes/hadronic/cross_sections/include/G4NeutronCaptureXS.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4NeutronCaptureXS.hh,v 1.1 2009/11/12 00:36:01 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/cross_sections/include/G4NeutronElasticXS.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4NeutronElasticXS.hh	(revision 1201)
+++ trunk/source/processes/hadronic/cross_sections/include/G4NeutronElasticXS.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4NeutronElasticXS.hh,v 1.3 2009/11/19 11:51:46 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/cross_sections/include/G4NeutronInelasticCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4NeutronInelasticCrossSection.hh	(revision 1201)
+++ trunk/source/processes/hadronic/cross_sections/include/G4NeutronInelasticCrossSection.hh	(revision 1228)
@@ -26,4 +26,5 @@
 // by JPW, working, but to be cleaned up. @@@@
 // D. Wright, 23-Dec-2006 Added isotope dependence
+// G.Folger, 25-Nov-2009: extend to 100TeV, using a constant above 20GeV
 //
 
@@ -51,5 +52,5 @@
      G4bool result = false;
      if(( aPart->GetDefinition()==G4Neutron::Neutron()) &&
-        ( aPart->GetKineticEnergy()<20*GeV) &&
+        ( aPart->GetKineticEnergy()<100*TeV) &&
           aPart->GetKineticEnergy()>19.9*MeV) result = true;
      if(aEle->GetZ()<2) result = false;
@@ -62,5 +63,5 @@
      G4bool result = false;
      if(( aPart->GetDefinition() == G4Neutron::Neutron()) &&
-        ( aPart->GetKineticEnergy() < 20*GeV) &&
+        ( aPart->GetKineticEnergy() < 100*TeV) &&
           aPart->GetKineticEnergy() > 19.9*MeV) result = true;
      if(ZZ < 2) result = false;
Index: trunk/source/processes/hadronic/cross_sections/include/G4NeutronInelasticXS.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4NeutronInelasticXS.hh	(revision 1201)
+++ trunk/source/processes/hadronic/cross_sections/include/G4NeutronInelasticXS.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4NeutronInelasticXS.hh,v 1.3 2009/11/19 11:52:27 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/cross_sections/include/G4PhotoNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4PhotoNuclearCrossSection.hh	(revision 1201)
+++ trunk/source/processes/hadronic/cross_sections/include/G4PhotoNuclearCrossSection.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/cross_sections/include/G4PiNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4PiNuclearCrossSection.hh	(revision 1201)
+++ trunk/source/processes/hadronic/cross_sections/include/G4PiNuclearCrossSection.hh	(revision 1228)
@@ -48,5 +48,5 @@
     if(aParticle->GetDefinition() == G4PionPlus::PionPlus())   result=true;
     if(G4lrint(anElement->GetZ()) == 1) result = false;
-    if(aParticle->GetKineticEnergy() > 999.9*GeV) result=false;
+    if(aParticle->GetKineticEnergy() > 99.9*TeV) result=false;
     return result;
   }
@@ -59,5 +59,5 @@
     if(particle->GetDefinition() == G4PionPlus::PionPlus())   result=true;
     if(G4lrint(ZZ) == 1) result = false;
-    if(particle->GetKineticEnergy() > 999.9*GeV) result=false;
+    if(particle->GetKineticEnergy() > 99.9*TeV) result=false;
     return result;
   }
Index: trunk/source/processes/hadronic/cross_sections/include/G4ProtonInelasticCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4ProtonInelasticCrossSection.hh	(revision 1201)
+++ trunk/source/processes/hadronic/cross_sections/include/G4ProtonInelasticCrossSection.hh	(revision 1228)
@@ -27,4 +27,5 @@
 // G.Folger, 29-sept-2006: extend to 1TeV, using a constant above 20GeV
 // D. Wright, 23-Dec-2006: added isotope dependence
+// G.Folger, 25-Nov-2009: extend to 100TeV, using a constant above 20GeV
 //
 
@@ -56,5 +57,5 @@
      G4bool result = false;
      if(( aPart->GetDefinition()==G4Proton::Proton()) &&
-        ( aPart->GetKineticEnergy()<1*TeV) ) result = true;
+        ( aPart->GetKineticEnergy()<100*TeV) ) result = true;
      if(aEle->GetZ()<3) result = false;
      return result;
@@ -66,5 +67,5 @@
      G4bool result = false;
      if (( aParticle->GetDefinition() == G4Proton::Proton()) &&
-         ( aParticle->GetKineticEnergy() < 1*TeV) ) result = true;
+         ( aParticle->GetKineticEnergy() < 100*TeV) ) result = true;
      if (ZZ < 3) result = false;
      return result;
Index: trunk/source/processes/hadronic/cross_sections/include/G4VCrossSectionDataSet.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4VCrossSectionDataSet.hh	(revision 1201)
+++ trunk/source/processes/hadronic/cross_sections/include/G4VCrossSectionDataSet.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VCrossSectionDataSet.hh,v 1.13 2009/01/24 11:54:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
